External Users

post

Authenticates an external user.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
channelIdstring · uuidRequired

A UUID v4 string that identifies an entity.

externalIdstring · nullableRequired
idstring · uuid · nullableRequired

A UUID v4 string that identifies an entity.

identifierstring · nullableRequired
Responses
200

The external user was authenticated and access token generated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
blockedbooleanRequired

Whether the external user is blocked.

channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

superIdentityIdstring · uuidRequired

The ID of the super identity associated with the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

workspaceIdstring · uuidRequired

The ID of the workspace associated with the external user.

accessTokenstringRequired
post
/api/v1/external-users/authenticate
get

Retrieves multiple external users.

Query parameters
channelIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

externalUserGroupIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstringOptional
superIdentityIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

tierIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all external users for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
blockedbooleanRequired

Whether the external user is blocked.

channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

superIdentityIdstring · uuidRequired

The ID of the super identity associated with the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

workspaceIdstring · uuidRequired

The ID of the workspace associated with the external user.

get
/api/v1/external-users
post

Creates a new external user.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

Responses
200

The external user was created and access token generated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
blockedbooleanRequired

Whether the external user is blocked.

channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

superIdentityIdstring · uuidRequired

The ID of the super identity associated with the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

workspaceIdstring · uuidRequired

The ID of the workspace associated with the external user.

post
/api/v1/external-users
get

Retrieves an external user.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves an external user.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
blockedbooleanRequired

Whether the external user is blocked.

channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

superIdentityIdstring · uuidRequired

The ID of the super identity associated with the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

workspaceIdstring · uuidRequired

The ID of the workspace associated with the external user.

get
/api/v1/external-users/{id}
patch

Updates an external user.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
blockedbooleanOptional

Whether the external user is blocked.

externalIdstring · min: 3 · max: 250 · nullableOptional

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableOptional

The ID of the external user group associated with the external user.

identifierstring · nullableOptional

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableOptional

The display name of the external user.

tierIdstring · uuid · nullableOptional

The ID of the tier associated with the external user.

Responses
200

The external user was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
blockedbooleanRequired

Whether the external user is blocked.

channelIdstring · uuidRequired

The ID of the channel associated with the external user.

externalIdstring · min: 3 · max: 250 · nullableRequired

External reference in the integrated system.

externalUserGroupIdstring · uuid · nullableRequired

The ID of the external user group associated with the external user.

identifierstring · nullableRequired

A unique identifier of the external user (usernames, emails, phone numbers and etc).

namestring · min: 3 · max: 50 · nullableRequired

The display name of the external user.

superIdentityIdstring · uuidRequired

The ID of the super identity associated with the external user.

tierIdstring · uuid · nullableRequired

The ID of the tier associated with the external user.

workspaceIdstring · uuidRequired

The ID of the workspace associated with the external user.

patch
/api/v1/external-users/{id}

Last updated